# Linux/Unix-like kernel developement 

This repo provide all the stuff that Toulouse III University provides to me in order to learn "Architecture Logicielle Couche Basse" except the long and monotonous Jacques Jorda's reading without any interactions.  

Specifications are provided along the course, in BaguetLang (FR) obivously, and are not very clear LOL.  

# What are the job specifications ?

Just CTRL+F `TP N° 1` page 64.
The first step is for  setting up a lightweight VM not provided in this repo.
In fact, working without assuming all consequences of an error isn't funny.  
I developed and tested these drivers directly on my Current Linux Mint Kernel :D

# Problem encoutered 

Specifications are basically un-understandable sentences.  

## Example TP N° 2


* Périphérique mémoire

```
Ecrire un driver gérant un buffer de taille fixe (déterminé dans le code). La
lecture et l’écriture se font dans le même périphérique. La lecture est
destructrice. L’écriture aussi.

```
## Linux kernel Linked List are PURE PAIN

Just read it again if it's NOT clear enough.    
Files provided in the root of this repo will probably help you to reverse-inge this shit.

# Good luck bro

I made theses drivers in coop with a black magic wizard because it's easier.  
 